
Foreman - Bug #4111

Add image user data flag to API

01/16/2014 06:18 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Shlomi Zadok   

Category: API   

Target version: 1.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1729

  

Description

#3927 added a user data boolean atttribute to images, but I forgot to request this was added to the API views and documentation.

Related issues:

Related to Foreman - Feature #3927: Use user-data instead of SSHProvision on ... Closed 12/23/2013

Associated revisions

Revision d21103bc - 09/03/2014 09:11 AM - Shlomi Zadok

fixes #4111 - Add image user data flag to API

Revision 64e9f777 - 10/07/2014 08:44 AM - Shlomi Zadok

fixes #4111 - Add image user data flag to API

(cherry picked from commit d21103bcf13b5981601be88330ce73dbe4a1ed77)

History

#1 - 01/16/2014 06:18 PM - Dominic Cleal

- Related to Feature #3927: Use user-data instead of SSHProvision on Openstack / EC2 added

#2 - 07/30/2014 09:16 AM - Ohad Levy

- Target version set to 1.7.5

#3 - 08/21/2014 08:35 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#4 - 09/02/2014 04:46 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#5 - 09/02/2014 04:52 AM - Joseph Magen

It appears that Rackspace also uses the attribute user_data.

Is it OK to update the api rabl template for all images, or should it be limited only those for EC2, Openstack, Rackspace?

#6 - 09/02/2014 05:00 AM - Dominic Cleal

Probably best if we can have per-CR image views to match the UI.

#7 - 09/02/2014 08:24 AM - Shlomi Zadok

- Assignee changed from Joseph Magen to Shlomi Zadok
#8 - 09/02/2014 09:00 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1729 added

- Pull request deleted ()

#9 - 09/03/2014 09:13 AM - Dominic Cleal

- translation missing: en.field_release set to 22

#10 - 09/03/2014 10:01 AM - Shlomi Zadok

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d21103bcf13b5981601be88330ce73dbe4a1ed77.
